## kcm-qt-graphicssystem 1.2

=== CMakeLists.txt ===
project(kcm-qt-graphicssystem)

set(MAJOR_VERSION "1")
set(MINOR_VERSION "2")
set(PATCH_VERSION "0")
set(SUFFIX_VERSION "")

set(VERSION_STRING "${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}")
if(NOT SUFFIX_VERSION)
    set(VERSION_STRING_FULL "${VERSION_STRING}")
else(NOT SUFFIX_VERSION)
    set(VERSION_STRING_FULL "${VERSION_STRING}-${SUFFIX_VERSION}")
endif(NOT SUFFIX_VERSION)

find_package(Qt4 4.7.0 REQUIRED)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(${KDE4_INCLUDES} ${QT_INCLUDES})

add_subdirectory(src)

=== src/CMakeLists.txt ===
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/Version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/Version.h)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

set(kcm_SRCS
    main.cpp
    EngineProbe.cpp
    Module.cpp
)

kde4_add_ui_files(kcm_SRCS Module.ui)

kde4_add_plugin(kcm_qt_graphicssystem ${kcm_SRCS})

target_link_libraries(kcm_qt_graphicssystem
    ${KDE4_KDEUI_LIBRARY}
    ${KDE4_KIO_LIBS}
)

install(TARGETS kcm_qt_graphicssystem DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES qt-graphicssystem.desktop DESTINATION ${SERVICES_INSTALL_DIR})

option(BUILD_PROBER "Build prober application." OFF)
if(BUILD_PROBER)
    message(STATUS "Building prober application.")
    add_subdirectory(prober)
else(BUILD_PROBER)
    message(STATUS "Not building prober application.")
endif(BUILD_PROBER)

=== src/prober/CMakeLists.txt ===
include_directories(
    ../
)

set(prober_SRCS
    main.cpp
    Prober.cpp
    ../EngineProbe.cpp
)

set(prober_MOC_HDRS
    Prober.h
    ../EngineProbe.h
)

qt4_wrap_cpp(prober_MOC_SRCS ${prober_MOC_HDRS})
add_executable(qt-graphicssystem-prober ${prober_SRCS} ${prober_MOC_SRCS})

target_link_libraries(qt-graphicssystem-prober
    ${QT_QTCORE_LIBRARY}
    ${QT_QTGUI_LIBRARY}
)

install(TARGETS qt-graphicssystem-prober ${INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
kcm-qt-graphicssystem (1.2-0ubuntu1) maverick; urgency=low

  * New upstream release coming with sweet typo fixes

 -- Harald Sitter <apachelogger@ubuntu.com>  Wed, 15 Sep 2010 22:58:39 +0200

kcm-qt-graphicssystem (1.0-0ubuntu2) maverick; urgency=low

  * Add libqt4-dev as explicit build-dependency with >= 4.7.0 rc1 because
    CMake does explicit require a 4.7.0 version

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 07 Sep 2010 13:51:56 +0200

kcm-qt-graphicssystem (1.0-0ubuntu1) maverick; urgency=low

  * Initial release (LP: #631953)

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 06 Sep 2010 22:26:48 +0200

=== debian/control ===
Source: kcm-qt-graphicssystem
Section: kde
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Harald Sitter <apachelogger@ubuntu.com>
Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), cmake,
 libqt4-dev (>= 4:4.7.0~rc1), kdelibs5-dev
Standards-Version: 3.9.1
Homepage: http://kde-apps.org/content/show.php?content=129817

Package: kde-config-qt-graphicssystem
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: configuration module for the Qt graphics system backend
 Using this module you can configure the default graphics system backend to be
 used by Qt.
 Supported are X11, raster and OpenGL.
